package com.muyu.common.rabbit;

import jakarta.annotation.PostConstruct;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.context.annotation.Configuration;

/**
 * @Author：胡杨
 * @name：RabbitConfig
 * @Date：2024/7/30 下午8:49
 * @Description: com.muyu.common.rabbi.config
 */

@Slf4j
@Configuration
@AllArgsConstructor
public class RabbitConfig {
    private final AmqpAdmin amqpAdmin;

    private final AmqpTemplate amqpTemplate;

    @PostConstruct
    public void init() {
        log.info("Rabbit模块 启动成功!");
    }

}
