package com.muyu.cloud.pay;


import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Author：胡杨
 * @name：MuYuPay
 * @Date：2024/7/31 上午10:05
 * @Description: com.muyu.cloud.pay
 */


@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class MuYuPayApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuYuPayApplication.class, args);
        System.out.println("MuYuPay 模块启动成功!");
    }
}
